Retrieve information for a call
A code snippet that shows how to retrieve information for a call. The call to retrieve information for is identified via a UUID.
Example
Replace the following variables in the example code:
| キー | 説明 |
|---|---|
VOICE_CALL_ID | The UUID of the call leg. |
Prerequisites
Execute the following command at your terminal prompt to create the JWT for authentication:
export JWT=$(nexmo jwt:generate $PATH_TO_PRIVATE_KEY application_id=$NEXMO_APPLICATION_ID)Write the code
Add the following to retrieve-info-for-a-call.sh:
curl "https://api.nexmo.com/v1/calls/"$VOICE_CALL_ID \
-H "Authorization: Bearer $JWT" \Run your code
Save this file to your machine and run it:
Prerequisites
npm install @vonage/server-sdkCreate a file named retrieve-info-for-a-call.js and add the following code:
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Write the code
Add the following to retrieve-info-for-a-call.js:
vonage.voice.getCall(VOICE_CALL_ID)
.then((call) => console.log(call))
.catch((error) => console.error(error));Run your code
Save this file to your machine and run it:
Prerequisites
Add the following to build.gradle:
Create a class named RetrieveCallInfo and add the following code to the main method:
Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.voice with the package containing RetrieveCallInfo:
Prerequisites
Add the following to build.gradle:
Create a class named RetrieveCallInfo and add the following code to the main method:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Write the code
Add the following to the main method of the RetrieveCallInfo class:
CallInfo details = client.getVoiceClient().getCallDetails(VOICE_CALL_ID);
System.out.println(details);Run your code
We can use the アプリケーション plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:
Run the following gradle command to execute your application, replacing com.vonage.quickstart.voice with the package containing RetrieveCallInfo:
Prerequisites
Install-Package VonagePrerequisites
composer require vonage/clientRun your code
Save this file to your machine and run it:
Prerequisites
pip install vonage python-dotenvRun your code
Save this file to your machine and run it:
Prerequisites
gem install vonageWrite the code
Add the following to retrieve-info-for-a-call.rb:
client = Vonage::Client.new(
application_id: VONAGE_APPLICATION_ID,
private_key: VONAGE_PRIVATE_KEY
)
response = client.voice.get(VOICE_CALL_ID)Run your code
Save this file to your machine and run it:
Try it out
You will need to:
- Set up a call and obtain the call UUID. You could use the 'connect an inbound call' code snippet to do this.
- Retrieve information for the call (this code snippet).